=== libssh/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 endif (WITH_STATIC_LIB)
 
 set(LIBSSH_LINK_LIBRARIES
+  ${LIBSSH_REQUIRED_LIBRARIES}
   ${ZLIB_LIBRARIES}
 )
 
@@ -34,6 +35,13 @@
     ws2_32
   )
 endif (WIN32)
+
+if (HAVE_LIBSOCKET)
+  set(LIBSSH_LINK_LIBRARIES
+    ${LIBSSH_LINK_LIBRARIES}
+    socket
+  )
+endif (HAVE_LIBSOCKET)
 
 if (CRYPTO_LIBRARY)
   set(LIBSSH_PRIVATE_INCLUDE_DIRS
@@ -58,15 +66,16 @@
     ${GCRYPT_LIBRARY}
   )
 endif (GCRYPT_LIBRARY)
-
 
 set(libssh_SRCS
   agent.c
   auth.c
   base64.c
   buffer.c
+  callbacks.c
   channels.c
   client.c
+  config.c
   connect.c
   crc32.c
   crypt.c
@@ -86,11 +95,19 @@
   packet.c
   poll.c
   session.c
+  scp.c
   socket.c
   string.c
   wrapper.c
-  libssh.map
-)
+)
+
+if (WITH_PCAP)
+  set(libssh_SRCS
+    ${libssh_SRCS}
+    pcap.c
+  )
+
+endif (WITH_PCAP)
 
 if (WITH_SFTP)
   set(libssh_SRCS
@@ -139,21 +156,26 @@
         ${LIBRARY_SOVERSION}
       OUTPUT_NAME
         ssh
-)
+      DEFINE_SYMBOL
+        LIBSSH_EXPORTS
+)
+
+if (WITH_VISIBILITY_HIDDEN)
+  set_target_properties(${LIBSSH_SHARED_LIBRARY} PROPERTIES COMPILE_FLAGS "-fvisibility=hidden")
+endif (WITH_VISIBILITY_HIDDEN)
+
 
 install(
   TARGETS
     ${LIBSSH_SHARED_LIBRARY}
-  DESTINATION
-    ${LIB_INSTALL_DIR}
-  COMPONENT
-    libraries
+  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
+  COMPONENT libraries
 )
 
 if (WITH_STATIC_LIB)
   add_library(${LIBSSH_STATIC_LIBRARY} STATIC ${libssh_SRCS})
-
-  target_link_libraries(${LIBSSH_STATIC_LIBRARY} ${LIBSSH_LINK_LIBRARIES})
 
   set_target_properties(
     ${LIBSSH_STATIC_LIBRARY}
@@ -162,8 +184,8 @@
           ${LIBRARY_VERSION}
         SOVERSION
           ${LIBRARY_SOVERSION}
-        OUTPUT_NAME
-          ssh
+        COMPILE_FLAGS
+          "-DLIBSSH_STATIC"
   )
 
   install(
