=== debian/changelog ===
libssh (0.4.2-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining change:
    - Include conflicts/replaces on previous package versions with old sonames
      (LP: #514110)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 12 Apr 2010 19:07:38 -0400

libssh (0.4.2-1) unstable; urgency=low

  * New upstream release
    - 0001-Fix-symbols-visibility.patch: Only export needed symbols
    - debian/libssh-4.symbols: Update symbols file

 -- Laurent Bigonville <bigon@debian.org>  Thu, 25 Mar 2010 13:38:35 +0100

libssh (0.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version (no further changes)
  * Use new source package format '3.0 (quilt)'

 -- Laurent Bigonville <bigon@debian.org>  Sat, 13 Feb 2010 20:18:18 +0100

libssh (0.4.0-1ubuntu1) lucid; urgency=low

  * Merge with Debian:
    - Include conflict/replaces on previous package versions with old sonames

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 13 Dec 2009 20:31:49 -0500

libssh (0.4.0-1) unstable; urgency=low

  * New upstream release.
    - Bump soname
    - Adjust .symbols file
  * Readd static library in -dev package
  * Let dh_lintian install override file
  * debian/README.Debian: Update file
  * debian/rules: Add list-missing rule

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Dec 2009 14:29:12 +0100

libssh (0.3.92-0ubuntu1) lucid; urgency=low

  * New upstream prerelease:
    - Bump library .so number in binary packages
    - Update .symbols file

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 02 Dec 2009 09:19:22 -0500

libssh (0.3.4-3) unstable; urgency=low

  * Add correct Conflicts/Replaces for -dev and -doc packages
    (Closes: #550996)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 15 Oct 2009 09:59:57 +0200

libssh (0.3.4-2ubuntu1) karmic; urgency=low

  * Merge with Debian
  * Include conflict/replaces on previous package versions with old sonames

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Oct 2009 16:42:36 +0100

libssh (0.3.4-2) unstable; urgency=low

  * debian/watch: Update the URL
  * debian/copyright: Add missing licence for some cmake/Modules files

 -- Laurent Bigonville <bigon@debian.org>  Mon, 12 Oct 2009 09:37:03 +0200

libssh (0.3.4-1) unstable; urgency=low

  * New upstream release (Closes: #467284).
    - Adjust build-deps and use cmake
    - Bump soname and adjust .symbols file
  * debian/control:
    - Use my debian.org address in Uploaders and takeover the package
      with Jean-Philippe permission
    - Use now official Vcs-* field
    - Use new Homepage field instead of old pseudo-field
    - Bump Standards-Version to 3.8.3 (no further changes)
    - Use debug section for -dbg package
    - Add ${misc:Depends} to please lintian
    - Remove duplicate section to please lintian
  * debian/libssh-2-doc.doc-base: Fix doc-base-uses-applications-section
  * Bump debhelper version to 7
  * debian/libssh-dev.install: do not install .la file and static
    library anymore
  * debian/libssh-3.lintian-overrides: Update override
  * debian/copyright: Update copyright file
  * debian/libssh-3.symbols: Add initial symbols file

 -- Laurent Bigonville <bigon@debian.org>  Fri, 09 Oct 2009 21:21:16 +0200

libssh (0.3.4-0ubuntu2) karmic; urgency=low

  * Add missing build-dep on cmake

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 09 Oct 2009 17:30:05 +0100

libssh (0.3.4-0ubuntu1) karmic; urgency=low

  * New upstream release, closes LP: #447364

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 09 Oct 2009 16:11:53 +0100

libssh (0.2+svn20070321-4) unstable; urgency=low

  * debian/control:
    - Add XS-Vcs-Svn and XS-Vcs-Browser fields.
    - Change to ${binary:Version} for versionized dependencies.
  * Add debian/README.Debian to disambiguate the package name 

 -- Laurent Bigonville <bigon@bigon.be>  Fri, 27 Jul 2007 15:00:06 +0200

libssh (0.2+svn20070321-3) unstable; urgency=low

  * Fix wrong versionized Replaces for -doc package

 -- Laurent Bigonville <bigon@bigon.be>  Thu,  5 Apr 2007 17:58:27 +0200

libssh (0.2+svn20070321-2) unstable; urgency=low

  * Split devel package into devel and documentation packages 

 -- Laurent Bigonville <bigon@bigon.be>  Mon, 26 Mar 2007 15:29:51 +0200

libssh (0.2+svn20070321-1) unstable; urgency=low

  * New svn snapshot:
    - Fix broken include in include/libssh/server.h (Closes: #410020)
    - Fix nasty bug in server side code

 -- Laurent Bigonville <bigon@bigon.be>  Mon, 26 Mar 2007 15:06:40 +0200

libssh (0.2-1) unstable; urgency=low

  * New upstream release. 

 -- Laurent Bigonville <bigon@bigon.be>  Fri, 29 Dec 2006 07:40:20 +0100

libssh (0.2~rc-1) unstable; urgency=low

  * Initial release (Closes: #316872)

 -- Jean-Philippe Garcia Ballester <giga@le-pec.org>  Wed, 20 Dec 2006 23:56:50 +0100
