=== debian/control ===
Source: libssh
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
Build-Depends: cdbs, debhelper (>= 7), cmake (>= 2.6), libssl-dev, libz-dev, doxygen
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/libssh.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libssh.git
Homepage: http://www.libssh.org/

Package: libssh-4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libssh-2, libssh-3
Conflicts: libssh-2, libssh-3
Description: A tiny C SSH library
 The ssh library was designed to be used by programmers needing a working SSH
 implementation by the mean of a library. The complete control of the client
 is made by the programmer. With libssh, you can remotely execute programs,
 transfer files, use a secure and transparent tunnel for your remote programs.
 With its SFTP implementation, you can play with remote files easily.

Package: libssh-dev
Section: libdevel
Architecture: any
Depends: libssh-4 (= ${binary:Version}), ${misc:Depends}, libssl-dev, zlib1g-dev
Suggests: libssh-doc
Conflicts: libssh-2-dev, libssh-3-dev
Replaces: libssh-3-dev
Description: A tiny C SSH library. Development files
 The ssh library was designed to be used by programmers needing a working SSH
 implementation by the mean of a library. The complete control of the client
 is made by the programmer. With libssh, you can remotely execute programs,
 transfer files, use a secure and transparent tunnel for your remote programs.
 With its SFTP implementation, you can play with remote files easily.
 .
 This package contains development files.

Package: libssh-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libssh-4 (= ${binary:Version}), ${misc:Depends}
Conflicts: libssh-2-dbg, libssh-3-dbg
Replaces: libssh-3-dbg
Description: A tiny C SSH library. Debug symbols
 The ssh library was designed to be used by programmers needing a working SSH
 implementation by the mean of a library. The complete control of the client
 is made by the programmer. With libssh, you can remotely execute programs,
 transfer files, use a secure and transparent tunnel for your remote programs.
 With its SFTP implementation, you can play with remote files easily.
 .
 This package contains debug symbols.

Package: libssh-doc
Section: doc
Architecture: all
Suggests: doc-base
Depends: ${misc:Depends}
Replaces: libssh-2-dev (<< 0.2+svn20070321-2), libssh-2-doc, libssh-3-doc
Conflicts: libssh-2-doc, libssh-3-doc
Description: A tiny C SSH library. Documentation files
 The ssh library was designed to be used by programmers needing a working SSH
 implementation by the mean of a library. The complete control of the client
 is made by the programmer. With libssh, you can remotely execute programs,
 transfer files, use a secure and transparent tunnel for your remote programs.
 With its SFTP implementation, you can play with remote files easily.
 .
 This package contains documentation files.
