=== libssh/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
   )
 endif (HAVE_LIBSOCKET)
 
-if (CRYPTO_LIBRARY)
+if (OPENSSL_LIBRARIES)
   set(LIBSSH_PRIVATE_INCLUDE_DIRS
     ${LIBSSH_PRIVATE_INCLUDE_DIRS}
     ${OPENSSL_INCLUDE_DIRS}
@@ -51,9 +51,9 @@
 
   set(LIBSSH_LINK_LIBRARIES
     ${LIBSSH_LINK_LIBRARIES}
-    ${CRYPTO_LIBRARY}
-  )
-endif (CRYPTO_LIBRARY)
+    ${OPENSSL_LIBRARIES}
+  )
+endif (OPENSSL_LIBRARIES)
 
 if (GCRYPT_LIBRARY)
   set(LIBSSH_PRIVATE_INCLUDE_DIRS
