=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all: test_tunnel test_exec
+all: test_tunnel test_exec test_pcap
 CFLAGS=-I../include/ -g -Wall
 LDFLAGS=-lssh -L../build/libssh/
 
@@ -8,5 +8,8 @@
 test_exec: test_exec.o authentication.o connection.o
 	gcc -o $@ $^ $(LDFLAGS)
 
+test_pcap: test_pcap.o
+	gcc -o $@ $^ $(LDFLAGS)
+
 clean:
 	rm -f *.o test_tunnel
