=== include/libssh/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 project(libssh-headers C)
 
 set(libssh_HDRS
+  callbacks.h
   libssh.h
-  crypto.h
   ssh2.h
 )
