=== debian/changelog ===
libssh (0.4.5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.0 (no further changes)
  * Move doxygen to Build-Depends-Indep

 -- Laurent Bigonville <bigon@debian.org>  Sun, 18 Jul 2010 22:48:10 +0200

libssh (0.4.4-1) unstable; urgency=low

  * New upstream release
    - Should fix ~/.ssh directory access (Closes: #582461)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 31 May 2010 20:10:56 +0200

libssh (0.4.3-1) unstable; urgency=low

  * New upstream release
    - Drop 0001-Fix-symbols-visibility.patch, applied upstream
    - Update debian/libssh-4.symbols: Add new symbol

 -- Laurent Bigonville <bigon@debian.org>  Tue, 18 May 2010 21:06:33 +0200
