=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libssh
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), cmake (>= 2.6), libssl-dev, libz-dev, doxygen
-Standards-Version: 3.8.4
+Maintainer: Laurent Bigonville <bigon@debian.org>
+Build-Depends: cdbs, debhelper (>= 7), cmake (>= 2.6), libssl-dev, libz-dev
+Build-Depends-Indep: doxygen
+Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/collab-maint/libssh.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libssh.git
 Homepage: http://www.libssh.org/
@@ -12,8 +12,6 @@
 Package: libssh-4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libssh-2, libssh-3
-Conflicts: libssh-2, libssh-3
 Description: A tiny C SSH library
  The ssh library was designed to be used by programmers needing a working SSH
  implementation by the mean of a library. The complete control of the client
@@ -26,8 +24,8 @@
 Architecture: any
 Depends: libssh-4 (= ${binary:Version}), ${misc:Depends}, libssl-dev, zlib1g-dev
 Suggests: libssh-doc
-Conflicts: libssh-2-dev, libssh-3-dev
-Replaces: libssh-3-dev
+Conflicts: libssh-2-dev
+Replaces: libssh-2-dev
 Description: A tiny C SSH library. Development files
  The ssh library was designed to be used by programmers needing a working SSH
  implementation by the mean of a library. The complete control of the client
@@ -42,8 +40,6 @@
 Section: debug
 Architecture: any
 Depends: libssh-4 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libssh-2-dbg, libssh-3-dbg
-Replaces: libssh-3-dbg
 Description: A tiny C SSH library. Debug symbols
  The ssh library was designed to be used by programmers needing a working SSH
  implementation by the mean of a library. The complete control of the client
@@ -58,8 +54,8 @@
 Architecture: all
 Suggests: doc-base
 Depends: ${misc:Depends}
-Replaces: libssh-2-dev (<< 0.2+svn20070321-2), libssh-2-doc, libssh-3-doc
-Conflicts: libssh-2-doc, libssh-3-doc
+Conflicts: libssh-2-doc
+Replaces: libssh-2-doc
 Description: A tiny C SSH library. Documentation files
  The ssh library was designed to be used by programmers needing a working SSH
  implementation by the mean of a library. The complete control of the client
