=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_CLEANUP_RCS            := yes

DEB_CMAKE_EXTRA_FLAGS := -DWITH_STATIC_LIB=ON

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DBG_PACKAGE_libssh-4 = libssh-dbg

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

common-build-indep::
	cd obj-*/; make doc
