=== debian/watch ===
version=3
http://www.libssh.org/files/libssh-(.*)\.tar.gz
