=== debian/changelog ===
libssh (0.5.2-1ubuntu0.12.04.2) precise-security; urgency=low

  * SECURITY UPDATE: denial of service via NULL dereference
    - debian/patches/CVE-2013-0176.patch: properly handle client that
      doesn't send a matching key in src/server.c.
    - CVE-2013-0176

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Jan 2013 13:43:46 -0500

libssh (0.5.2-1ubuntu0.12.04.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    multiple double free flaws
    - debian/patches/CVE-2012-4559.patch: properly do frees in src/agent.c,
      src/channels.c, src/sftp.c.
    - CVE-2012-4559
  * SECURITY UPDATE: denial of service and possible code execution via
    multiple buffer overflows
    - debian/patches/CVE-2012-4560.patch: properly calculate sizes in
      src/misc.c.
    - CVE-2012-4560
  * SECURITY UPDATE: denial of service and possible code execution via
    multiple invalid free flaws
    - debian/patches/CVE-2012-4561.patch: don't use after free in
      src/keyfiles.c, properly zero structs in src/keys.c.
    - CVE-2012-4561
  * SECURITY UPDATE: denial of service and possible code execution via
    multiple improper overflow checks
    - debian/patches/CVE-2012-4562.patch: do proper overflow checks in
      src/buffer.c, src/dh.c, src/string.c.
    - CVE-2012-4562

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Nov 2012 14:03:19 -0500

libssh (0.5.2-1) unstable; urgency=low

  * New upstream release
    - Fix bug with ssh_channel_write (Closes: #631950)
  * debian/watch: Use new tarball location

 -- Laurent Bigonville <bigon@debian.org>  Mon, 19 Sep 2011 12:01:26 +0200

libssh (0.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #637445)
  * debian/patches/0001-rename-threads-static.patch,
    debian/patches/0002-Check-for-NULL-pointers-in-string-c.patch: Dropped
  * debian/rules:
    - Adjust rule that build documentation
  * debian/patches/0001-disable-latex-documentation.patch: Disable LaTeX
    documentation generation (Closes: #622108)
  * debian/control: Drop texlive-fonts-recommended build-dependency
  * debian/patches/0002-fix-html-doc-generation.patch: Fix HTML doc generation
    (LP: #821437)
  * debian/libssh-doc.doc-base: Refine Title and Files glob

 -- Laurent Bigonville <bigon@debian.org>  Fri, 19 Aug 2011 00:46:48 +0200

libssh (0.5.0-2) unstable; urgency=low

  * debian/patches/0002-Check-for-NULL-pointers-in-string-c.patch:
    Consolidate patch (Should fix previous REJECT)
  * Support multiarch spec

 -- Laurent Bigonville <bigon@debian.org>  Wed, 15 Jun 2011 15:48:07 +0200

libssh (0.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Fix short description to please lintian
  * debian/libssh-dev.install:
    - Remove "static" from the static library name
    - Install pkg-config file
  * debian/libssh-4.symbols: Add new symbols to .symbols file
  * debian/patch/0001-rename-threads-static.patch:
    Rename libssh_threads_static.so to libssh_threads.so
  * debian/libssh-4.install, debian/libssh-dev.install, debian/libssh-4.symbols,
    debian/libssh-4.lintian-overrides: Install libssh_threads library
  * debian/patches/0002-Check-for-NULL-pointers-in-string-c.patch:
    Check if string is NULL.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 10 Jun 2011 22:47:54 +0200

libssh (0.4.8-2) unstable; urgency=low

  * Upload to unstable
  * debian/control: Add texlive-fonts-recommended to Build-Depends-Indep
    (Closes: #608319)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 13 Mar 2011 22:06:00 +0100

libssh (0.4.8-1) experimental; urgency=low

  * New upstream release
  * Bump debhelper compatibility to 8

 -- Laurent Bigonville <bigon@debian.org>  Mon, 17 Jan 2011 19:31:47 +0100

libssh (0.4.7-1) experimental; urgency=low

  * New upstream release
    - Drop all patches, applied upstream
  * debian/watch: Fix URL regex

 -- Laurent Bigonville <bigon@debian.org>  Tue, 04 Jan 2011 21:24:34 +0100

libssh (0.4.6-1) experimental; urgency=low

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Dec 2010 23:30:03 +0100

libssh (0.4.5-3) unstable; urgency=low

  * d/p/0002-socket-Fixed-uninitialized-fd-revents-member.patch:
    Fix uninitialized memory use (Closes: #606347)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Dec 2010 01:33:45 +0100

libssh (0.4.5-2) unstable; urgency=low

  * Add d/p/0001-socket.c-Fixed-setting-max_fd-which-breaks-ssh_selec.patch:
    Fix slow response in Remmina SSH (Closes: #599687, LP: #663777)
  * debian/control: Bump Standards-Version to 3.9.1 (no futher changes)
  * debian/copyright: Update copyright file to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Wed, 20 Oct 2010 20:45:48 +0200
