=== debian/watch ===
version=3
https://red.libssh.org/projects/libssh/files \
    /attachments/download/\d+/libssh-(.*)\.tar.gz
