## libssh 0.5.3

=== debian/changelog ===
libssh (0.5.3-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 02 Dec 2012 16:29:09 +0100

libssh (0.5.3-1) unstable; urgency=high

  * New upstream security release
    - Fixes CVE-2012-4559, CVE-2012-4560, CVE-2012-4561, CVE-2012-4562
    - Fix regression in pre-connected socket setting (Closes: #688700)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Nov 2012 13:53:14 +0100

libssh (0.5.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Revert "Support multiarch spec" to unbreak compilation in stable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 08 May 2012 20:32:52 +0200
