=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), cmake (>= 2.6), libssl-dev, libz-dev
+Build-Depends: cdbs, debhelper (>= 8), cmake (>= 2.6), libssl-dev, libz-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/libssh.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libssh.git
 Homepage: http://www.libssh.org/
@@ -12,7 +12,7 @@
 Package: libssh-4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A tiny C SSH library
+Description: tiny C SSH library
  The ssh library was designed to be used by programmers needing a working SSH
  implementation by the mean of a library. The complete control of the client
  is made by the programmer. With libssh, you can remotely execute programs,
@@ -26,7 +26,7 @@
 Suggests: libssh-doc
 Conflicts: libssh-2-dev
 Replaces: libssh-2-dev
-Description: A tiny C SSH library. Development files
+Description: tiny C SSH library. Development files
  The ssh library was designed to be used by programmers needing a working SSH
  implementation by the mean of a library. The complete control of the client
  is made by the programmer. With libssh, you can remotely execute programs,
@@ -40,7 +40,7 @@
 Section: debug
 Architecture: any
 Depends: libssh-4 (= ${binary:Version}), ${misc:Depends}
-Description: A tiny C SSH library. Debug symbols
+Description: tiny C SSH library. Debug symbols
  The ssh library was designed to be used by programmers needing a working SSH
  implementation by the mean of a library. The complete control of the client
  is made by the programmer. With libssh, you can remotely execute programs,
@@ -56,7 +56,7 @@
 Depends: ${misc:Depends}
 Conflicts: libssh-2-doc
 Replaces: libssh-2-doc
-Description: A tiny C SSH library. Documentation files
+Description: tiny C SSH library. Documentation files
  The ssh library was designed to be used by programmers needing a working SSH
  implementation by the mean of a library. The complete control of the client
  is made by the programmer. With libssh, you can remotely execute programs,
