## libssh 0.5.4

=== debian/changelog ===
libssh (0.5.4-3~bpo70+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 May 2014 09:51:36 +0200

libssh (0.5.4-3) unstable; urgency=high

  [ Mike Gabriel ]
  * debian/rules:
    + Add get-orig-source rule.
  * debian/watch:
    + Handle tar.gz and tar.xz upstream tarballs alike.
  * debian/copyright.in:
    + Ship auto-generated copyright file in debian/ folder.

  [ Laurent Bigonville ]
  * debian/patches/0007-security-fix-for-vulnerability-CVE-2014-0017.patch:
    Reset the PRNG state after acception a new connection (CVE-2014-0017)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 05 Mar 2014 22:42:19 +0100

libssh (0.5.4-2) unstable; urgency=low

  * debian/control:
    + Add myself to Uploaders: field as discussed with current
      maintainer on IRC (#debian-devel) on 2014-02-17.
    + Alioth-canonicalize Vcs-* fields.
  * debian/copyright:
    + Make copyright file DEP-5 compliant.
    + Relicense debian/* files under all licenses used by upstream.
      Copyright holders' agreements can be found in the related
      bug report in Debian BTS. (Closes: #739372).
  * debian/patches:
    + Add patch 0004-reset-global-request-status.patch: Allow requesting
      more than one channel per session.
    + Add patch 0005-multi-reverse-fwd.patch: Ease handling of multiple
      reverse port forwarding requests per session. (Closes: #736231).
    + Add patch 0006-ssh-handle-package-zero-timeouts.patch: Handle
      zero timeouts as such. Improves speed on libssh issued
      connections. (Closes: #738667).
  * Update libssh-4.symbols file with new symbol introduced by patch
    0005-multi-reverse-fwd.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Feb 2014 13:34:13 +0100

libssh (0.5.4-1) unstable; urgency=low

  * New upstream security release
    - Fix NULL dereference leads to denial of service
      (Closes: #698963, CVE-2013-0176)
  * debian/patches/0003-fix-typo.patch: Fix typo in error message

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Feb 2013 01:06:40 +0100
