=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: libs
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: cdbs, debhelper (>= 8), cmake (>= 2.6), libssl-dev, libz-dev
+Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
+Build-Depends: cdbs (>= 0.4.93~), debhelper (>= 8.1.3~), cmake (>= 2.6), libssl-dev, libz-dev
 Build-Depends-Indep: doxygen
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/collab-maint/libssh.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libssh.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/libssh.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libssh.git
 Homepage: http://www.libssh.org/
 
 Package: libssh-4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: tiny C SSH library
  The ssh library was designed to be used by programmers needing a working SSH
  implementation by the mean of a library. The complete control of the client
@@ -40,6 +44,7 @@
 Section: debug
 Architecture: any
 Depends: libssh-4 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: tiny C SSH library. Debug symbols
  The ssh library was designed to be used by programmers needing a working SSH
  implementation by the mean of a library. The complete control of the client
