=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 DEB_AUTO_CLEANUP_RCS            := yes
 
-DEB_CMAKE_EXTRA_FLAGS := -DWITH_STATIC_LIB=ON
+DEB_CMAKE_EXTRA_FLAGS := -DWITH_STATIC_LIB=ON -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 include /usr/share/cdbs/1/class/cmake.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -15,3 +15,6 @@
 
 build/libssh-doc::
 	$(MAKE) -C $(DEB_BUILDDIR) doc
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..
